server
{
	port 8001;
	host 127.0.0.1;
	server_name server1;

	error_page 403 /error_pages/403.html;
	error_page 404 /error_pages_others/404.html;
	error_page 405 /error_pages/405.html;
	error_page 411 /error_pages/411.html;
	error_page 413 /error_pages/413.html;
	error_page 415 /error_pages/415.html;
	error_page 505 /error_pages/505.html;

	client_max_body_size 10000000;
	root /websites/website_1;
	default_file index.html;

	location /route1 
	{
		allow_methods GET;
		root /websites/website_1;
	}

	location /route2
	{
		allow_methods GET;
		root /websites/website_1;
	}

	location /route1_redirection
	{
		allow_methods GET;
		root /websites/website_1;
		redirection /route1;
	}

	location /route_doesnt_exist
	{
		allow_methods GET;
		root /websites/website_1;
	}

	location /route4
	{
		allow_methods GET;
		root /websites/website_1;
		autoindex on;
		# default_file file1.html;
	}

	location /upload
	{
		allow_methods GET POST;
		redirection /cgi-bin/upload.py;
	}

	location /uploads
	{
		allow_methods GET DELETE;
	}

	location /route5
	{
		allow_methods GET POST DELETE;
		root /websites/website_1;
	}
}

server
{
	port 8002;
	host 127.0.0.1;
	server_name server1;

	client_max_body_size 1000000;
	root /websites/website_2;
	default_file index.html;

	location /route1 
	{
		allow_methods GET;
		root /websites/website_1;
	}

	location /route2
	{
		allow_methods GET;
		root /websites/website_1;
	}

	location /route4
	{
		allow_methods GET;
		root /websites/website_1;
		autoindex on;
		# default_file file1.html;
	}

	location /upload
	{
		allow_methods GET POST;
		redirection /cgi-bin/upload.py;
	}

	location /uploads
	{
		allow_methods DELETE GET;
	}
}

server
{
	port 8003;
	host 127.0.0.1;
	server_name server3;
	root /websites/website_3;
}